Vincular um formulário avulso
curl --request POST \
--url https://api.olie.ai/api/management/projects/{project}/loose-forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": null
}'import requests
url = "https://api.olie.ai/api/management/projects/{project}/loose-forms"
payload = { "id": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: null})
};
fetch('https://api.olie.ai/api/management/projects/{project}/loose-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"loose_form": {
"id": 412,
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"form_id": 119,
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"created_at": "2026-08-14T10:22:03.000000Z",
"updated_at": "2026-08-14T10:22:03.000000Z",
"form": {
"id": 119,
"title": "Vistoria técnica",
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"created_at": "2026-02-03T08:00:00.000000Z",
"updated_at": "2026-02-03T08:00:00.000000Z",
"deleted_at": null
}
}
}{
"response": false,
"message": "form_model_not_found",
"error": "No query results for model [App\\\\Models\\\\Form] 999999"
}projects
Vincular um formulário avulso
Anexa um formulário existente ao projeto como formulário avulso, deixando-o disponível para resposta independentemente da etapa. O mesmo formulário pode ser anexado mais de uma vez, gerando vínculos distintos.
POST
/
api
/
management
/
projects
/
{project}
/
loose-forms
Vincular um formulário avulso
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Body
application/json
Formulário a vincular.
ID do formulário a anexar ao projeto.
Was this page helpful?